import { AddCommentsToCommentAuthorDocument, Comment } from '../API';
import { CRUDService, ICrudService, ServiceMutationHookOptions } from '../core';
export declare class CommentAuthorService extends CRUDService<Comment> {
    protected hasOneModels: ICrudService<Comment>['hasOneModels'];
    get create(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<Comment>, import("../../..").ModelWithId>> & Omit<import("../API").CreateCommentAuthor, import("../core").HasOneRelationsOf<Comment>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateCommentAuthorOneMutation, import("../API").Exact<{
        input: import("../API").CreateCommentAuthor;
    }>>>) => Promise<{
        __typename?: "CommentAuthor";
        id: string;
        adminID?: string;
        organizationID: string;
        userID?: string;
        created_at: any;
        updated_at: any;
        comments: {
            __typename?: "Comment";
            id: string;
        }[];
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateCommentAuthorOneMutation, import("../API").Exact<{
        input: import("../API").CreateCommentAuthor;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CreateCommentAuthorOneMutation, import("../API").Exact<{
        input: import("../API").CreateCommentAuthor;
    }>>, Comment>) => Promise<{
        __typename?: "CommentAuthor";
        id: string;
        adminID?: string;
        organizationID: string;
        userID?: string;
        created_at: any;
        updated_at: any;
        comments: {
            __typename?: "Comment";
            id: string;
        }[];
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").CommentAuthorFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CommentAuthorsListQuery, import("../API").Exact<{
        filter?: import("../API").CommentAuthorFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
    }>>>) => Promise<{
        __typename?: "CommentAuthorConnection";
        totalCount: number;
        edges: {
            __typename?: "CommentAuthorEdge";
            node: {
                __typename?: "CommentAuthor";
                id: string;
                adminID?: string;
                organizationID: string;
                userID?: string;
                created_at: any;
                updated_at: any;
                comments: {
                    __typename?: "Comment";
                    id: string;
                }[];
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            startCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CommentAuthorsListQuery, import("../API").Exact<{
        filter?: import("../API").CommentAuthorFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").CommentAuthorsListQuery, import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>>;
        data: import("../API").CommentAuthorsListQuery;
        previousData?: import("../API").CommentAuthorsListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").CommentAuthorsListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").CommentAuthorsListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>>(mapFn: (previousQueryResult: import("../API").CommentAuthorsListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").CommentAuthorsListQuery>, "variables">) => import("../API").CommentAuthorsListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CommentAuthorsListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>, import("../API").CommentAuthorsListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").CommentAuthorsListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>;
        fetchMore: <TFetchData = import("../API").CommentAuthorsListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").CommentAuthorFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").CommentAuthorsListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").CommentAuthorsListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get useLazyList(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceLazyQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").CommentAuthorsListQuery, import("../API").Exact<{
        filter?: import("../API").CommentAuthorFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
    }>>>>) => import("@apollo/client").LazyQueryResultTuple<import("../API").CommentAuthorsListQuery, import("../API").Exact<{
        filter?: import("../API").CommentAuthorFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").CommentAuthorSort | import("../API").CommentAuthorSort[];
    }>>;
    addComments(options: ServiceMutationHookOptions<typeof AddCommentsToCommentAuthorDocument>): import("@apollo/client").MutationTuple<import("../API").AddCommentsToCommentAuthorMutation, import("../API").Exact<{
        input: import("../API").AddCommentsToCommentAuthorInput;
    }>, import("@apollo/client").DefaultContext, import("@apollo/client").ApolloCache<any>>;
}
